Remove shutdown/restart dialog unless  it's explicitly enabled

--- lightdm-gtk-greeter-2.0.2/src/lightdm-gtk-greeter.c.orig	2017-10-26 22:05:13.499783031 +0000
+++ lightdm-gtk-greeter-2.0.2/src/lightdm-gtk-greeter.c	2017-10-26 22:04:05.108693769 +0000
@@ -510,6 +510,27 @@
         return FALSE;
     }
 
+    /* Do anything only when power indicator is present */
+    power_present = FALSE;
+    names = config_get_string_list (NULL, CONFIG_KEY_INDICATORS, NULL);
+    if (!names)
+       names = (gchar**)DEFAULT_LAYOUT;
+    length = g_strv_length (names);
+    for (i = 0; i < length; ++i)
+    {
+        if (g_strcmp0 (names[i], "~power") == 0)
+        {   /* Power menu is present */
+            power_present = TRUE;
+            break;
+        }
+    }
+    if (names && names != (gchar**)DEFAULT_LAYOUT)
+        g_strfreev (names);
+    
+    if (power_present != TRUE) {
+        return FALSE;
+    }
+
     /* Check if there are still users logged in, count them and if so, display a warning */
     gint logged_in_users = 0;
     GList *items = lightdm_user_list_get_users (lightdm_user_list_get_instance ());
